Package org.h2.server

# Class TcpServerThread

java.lang.Object
org.h2.server.TcpServerThread

All Implemented Interfaces:
  `Runnable`

public class TcpServerThread extends Object implements Runnable
One server thread is opened per client connection.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Transfer`
`transfer`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### transfer

protected final Transfer transfer

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`